package com.tofly.znb.common.exception;

import com.fasterxml.jackson.annotation.JsonValue;

public enum FeesErrorCode {
    BUSINESS_ERROR(2),
    INTERNAL_SERVER_ERROR(0),
    AUTHENTICATION(10),
    JWT_TOKEN_EXPIRED(11),
    CREDENTIALS_EXPIRED(15),
    PERMISSION_DENIED(20),
    INVALID_ARGUMENTS(30),
    BAD_REQUEST_PARAMS(31),
    ITEM_NOT_FOUND(32),
    TOO_MANY_REQUESTS(33),
    TOO_MANY_UPDATES(34),
    SUBSCRIPTION_VIOLATION(40);

    private Integer errorCode;

    FeesErrorCode(int errorCode) {
        this.errorCode = errorCode;
    }

    @JsonValue
    public Integer getErrorCode() {
        return errorCode;
    }

}
